import 'dart:io';

void main() {
  String featureName = 'featureName';
  Directory('/lib/features/$featureName').create().then((Directory featureDir) {
    Directory('$featureDir/views').create();
    Directory('$featureDir/functionals').create().then((Directory functionalsDir) {
      Directory('$functionalsDir/service').create().then((Directory serviceDir) {
        File('$serviceDir/service.dart').create(recursive: true);
      });

      Directory('$functionalsDir/listings').create().then((Directory listingsDir) {
        File('$listingsDir/listings.dart').create(recursive: true);
      });

      Directory('$functionalsDir/models').create();

      Directory('$featureDir/enums').create();

      Directory('$featureDir/paramsBundle').create();
    });
    Directory('$featureDir/components').create();
  });
}
