import 'package:codestage_architecture/src/types/cds_listing.dart';
import 'package:codestage_requester/codestage_requester.dart';
import 'package:flutter/cupertino.dart';

abstract class CdsComponent<S extends CdsService, L extends CdsListing> {
  @protected
  S? service;

  @protected
  L? listings;

  void setService(S service) => this.service = service;

  void setListing(L listings) => this.listings = listings;
}
